<?php
/**
 * This source file is part of the open source project
 * ExpressionEngine (https://expressionengine.com)
 *
 * @link      https://expressionengine.com/
 * @copyright Copyright (c) 2003-2023, Packet Tide, LLC (https://www.packettide.com)
 * @license   https://expressionengine.com/license Licensed under Apache License, Version 2.0
 */

/**
 * Country Codes
 */

// $countries =
// $timezones =
return array(
    'countries' => array(
        'af' => 'Afghanistan',
        'ax' => 'Aland Islands',
        'al' => 'Albania',
        'dz' => 'Algeria',
        'as' => 'American Samoa',
        'ad' => 'Andorra',
        'ao' => 'Angola',
        'ai' => 'Anguilla',
        'aq' => 'Antarctica',
        'ag' => 'Antigua and Barbuda',
        'ar' => 'Argentina',
        'am' => 'Armenia',
        'aw' => 'Aruba',
        'au' => 'Australia',
        'at' => 'Austria',
        'az' => 'Azerbaijan',
        'bs' => 'Bahamas',
        'bh' => 'Bahrain',
        'bd' => 'Bangladesh',
        'bb' => 'Barbados',
        'by' => 'Belarus',
        'be' => 'Belgium',
        'bz' => 'Belize',
        'bj' => 'Benin',
        'bm' => 'Bermuda',
        'bt' => 'Bhutan',
        'bo' => 'Bolivia',
        'bq' => 'Bonaire, Sint Eustatius and Saba',
        'ba' => 'Bosnia and Herzegovina',
        'bw' => 'Botswana',
        'bv' => 'Bouvet Island',
        'br' => 'Brazil',
        'io' => 'British Indian Ocean Territory',
        'bn' => 'Brunei Darussalam',
        'bg' => 'Bulgaria',
        'bf' => 'Burkina Faso',
        'mm' => 'Burma (Myanmar)',
        'bi' => 'Burundi',
        'kh' => 'Cambodia',
        'cm' => 'Cameroon',
        'ca' => 'Canada',
        'cv' => 'Cape Verde',
        'ky' => 'Cayman Islands',
        'cf' => 'Central African Republic',
        'td' => 'Chad',
        'cl' => 'Chile',
        'cn' => 'China',
        'cx' => 'Christmas Island',
        'cc' => 'Cocos (Keeling) Islands',
        'co' => 'Colombia',
        'km' => 'Comoros',
        'cg' => 'Congo',
        'ck' => 'Cook Islands',
        'cr' => 'Costa Rica',
        'hr' => 'Croatia (Hrvatska)',
        'cu' => 'Cuba',
        'cw' => 'Curacao',
        'cy' => 'Cyprus',
        'cz' => 'Czech Republic',
        'cd' => 'Democratic Republic of Congo',
        'dk' => 'Denmark',
        'dj' => 'Djibouti',
        'dm' => 'Dominica',
        'do' => 'Dominican Republic',
        'ec' => 'Ecuador',
        'eg' => 'Egypt',
        'sv' => 'El Salvador',
        'gq' => 'Equatorial Guinea',
        'er' => 'Eritrea',
        'ee' => 'Estonia',
        'et' => 'Ethiopia',
        'fk' => 'Falkland Islands (Malvinas)',
        'fo' => 'Faroe Islands',
        'fj' => 'Fiji',
        'fi' => 'Finland',
        'fr' => 'France',
        'gf' => 'French Guiana',
        'pf' => 'French Polynesia',
        'tf' => 'French Southern Territories',
        'ga' => 'Gabon',
        'gm' => 'Gambia',
        'ge' => 'Georgia',
        'de' => 'Germany',
        'gh' => 'Ghana',
        'gi' => 'Gibraltar',
        'gr' => 'Greece',
        'gl' => 'Greenland',
        'gd' => 'Grenada',
        'gp' => 'Guadeloupe',
        'gu' => 'Guam',
        'gt' => 'Guatemala',
        'gg' => 'Guernsey',
        'gn' => 'Guinea',
        'gw' => 'Guinea-Bissau',
        'gy' => 'Guyana',
        'ht' => 'Haiti',
        'hm' => 'Heard and McDonald Islands',
        'hn' => 'Honduras',
        'hk' => 'Hong Kong',
        'hu' => 'Hungary',
        'is' => 'Iceland',
        'in' => 'India',
        'id' => 'Indonesia',
        'ir' => 'Iran',
        'iq' => 'Iraq',
        'ie' => 'Ireland',
        'im' => 'Isle Of Man',
        'il' => 'Israel',
        'it' => 'Italy',
        'ci' => 'Ivory Coast',
        'jm' => 'Jamaica',
        'jp' => 'Japan',
        'je' => 'Jersey',
        'jo' => 'Jordan',
        'kz' => 'Kazakhstan',
        'ke' => 'Kenya',
        'ki' => 'Kiribati',
        'kp' => 'Korea (North)',
        'kr' => 'Korea (South)',
        'kw' => 'Kuwait',
        'kg' => 'Kyrgyzstan',
        'la' => 'Laos',
        'lv' => 'Latvia',
        'lb' => 'Lebanon',
        'ls' => 'Lesotho',
        'lr' => 'Liberia',
        'ly' => 'Libya',
        'li' => 'Liechtenstein',
        'lt' => 'Lithuania',
        'lu' => 'Luxembourg',
        'mo' => 'Macau',
        'mk' => 'Macedonia',
        'mg' => 'Madagascar',
        'mw' => 'Malawi',
        'my' => 'Malaysia',
        'mv' => 'Maldives',
        'ml' => 'Mali',
        'mt' => 'Malta',
        'mh' => 'Marshall Islands',
        'mq' => 'Martinique',
        'mr' => 'Mauritania',
        'mu' => 'Mauritius',
        'yt' => 'Mayotte',
        'mx' => 'Mexico',
        'fm' => 'Micronesia',
        'md' => 'Moldova',
        'mc' => 'Monaco',
        'mn' => 'Mongolia',
        'me' => 'Montenegro',
        'ms' => 'Montserrat',
        'ma' => 'Morocco',
        'mz' => 'Mozambique',
        'na' => 'Namibia',
        'nr' => 'Nauru',
        'np' => 'Nepal',
        'nl' => 'Netherlands',
        'nc' => 'New Caledonia',
        'nz' => 'New Zealand',
        'ni' => 'Nicaragua',
        'ne' => 'Niger',
        'ng' => 'Nigeria',
        'nu' => 'Niue',
        'nf' => 'Norfolk Island',
        'mp' => 'Northern Mariana Islands',
        'no' => 'Norway',
        'om' => 'Oman',
        'pk' => 'Pakistan',
        'ps' => 'Palestinian Territory, Occupied',
        'pw' => 'Palau',
        'pa' => 'Panama',
        'pg' => 'Papua New Guinea',
        'py' => 'Paraguay',
        'pe' => 'Peru',
        'ph' => 'Philippines',
        'pn' => 'Pitcairn',
        'pl' => 'Poland',
        'pt' => 'Portugal',
        '01' => 'Private',
        'pr' => 'Puerto Rico',
        'qa' => 'Qatar',
        're' => 'Reunion',
        'rs' => 'Republic of Serbia',
        'ro' => 'Romania',
        'ru' => 'Russia',
        'rw' => 'Rwanda',
        'bl' => 'Saint Barthelemy',
        'gs' => 'S. Georgia and S. Sandwich Isls.',
        'kn' => 'Saint Kitts and Nevis',
        'lc' => 'Saint Lucia',
        'mf' => 'Saint Martin (French part)',
        'vc' => 'Saint Vincent and the Grenadines',
        'ws' => 'Samoa',
        'sm' => 'San Marino',
        'st' => 'Sao Tome and Principe',
        'sa' => 'Saudi Arabia',
        'sn' => 'Senegal',
        'sc' => 'Seychelles',
        'sl' => 'Sierra Leone',
        'sg' => 'Singapore',
        'sx' => 'Sint Maarten (Dutch part)',
        'sk' => 'Slovak Republic',
        'si' => 'Slovenia',
        'sb' => 'Solomon Islands',
        'so' => 'Somalia',
        'za' => 'South Africa',
        'ss' => 'South Sudan',
        'es' => 'Spain',
        'lk' => 'Sri Lanka',
        'sh' => 'St. Helena',
        'pm' => 'St. Pierre and Miquelon',
        'sd' => 'Sudan',
        'sr' => 'Suriname',
        'sj' => 'Svalbard and Jan Mayen Islands',
        'sz' => 'Swaziland',
        'se' => 'Sweden',
        'ch' => 'Switzerland',
        'sy' => 'Syria',
        'tw' => 'Taiwan',
        'tj' => 'Tajikistan',
        'tz' => 'Tanzania',
        'th' => 'Thailand',
        'tl' => 'Timor-Leste',
        'tg' => 'Togo',
        'tk' => 'Tokelau',
        'to' => 'Tonga',
        'tt' => 'Trinidad and Tobago',
        'tn' => 'Tunisia',
        'tr' => 'Turkey',
        'tm' => 'Turkmenistan',
        'tc' => 'Turks and Caicos Islands',
        'tv' => 'Tuvalu',
        'ug' => 'Uganda',
        'ua' => 'Ukraine',
        'ae' => 'United Arab Emirates',
        'gb' => 'United Kingdom',
        'us' => 'United States',
        'um' => 'United States Minor Outlying Islands',
        'uy' => 'Uruguay',
        'uz' => 'Uzbekistan',
        'vu' => 'Vanuatu',
        'va' => 'Vatican City State (Holy See)',
        've' => 'Venezuela',
        'vn' => 'Viet Nam',
        'vg' => 'Virgin Islands (British)',
        'vi' => 'Virgin Islands (U.S.)',
        'wf' => 'Wallis and Futuna Islands',
        'eh' => 'Western Sahara',
        'ye' => 'Yemen',
        'zm' => 'Zambia',
        'zw' => 'Zimbabwe'
    ),

    'timezones' => array(
        'af' =>
        array(
            0 => 'Asia/Kabul',
        ),
        'ax' =>
        array(
            0 => 'Europe/Mariehamn',
        ),
        'al' =>
        array(
            0 => 'Europe/Tirane',
        ),
        'dz' =>
        array(
            0 => 'Africa/Algiers',
        ),
        'as' =>
        array(
            0 => 'Pacific/Pago_Pago',
        ),
        'ad' =>
        array(
            0 => 'Europe/Andorra',
        ),
        'ao' =>
        array(
            0 => 'Africa/Luanda',
        ),
        'ai' =>
        array(
            0 => 'America/Anguilla',
        ),
        'aq' =>
        array(
            0 => 'Antarctica/Casey',
            1 => 'Antarctica/Davis',
            2 => 'Antarctica/DumontDUrville',
            3 => 'Antarctica/Macquarie',
            4 => 'Antarctica/Mawson',
            5 => 'Antarctica/McMurdo',
            6 => 'Antarctica/Palmer',
            7 => 'Antarctica/Rothera',
            8 => 'Antarctica/South_Pole',
            9 => 'Antarctica/Syowa',
            10 => 'Antarctica/Vostok',
        ),
        'ag' =>
        array(
            0 => 'America/Antigua',
        ),
        'ar' =>
        array(
            0 => 'America/Argentina/Buenos_Aires',
            1 => 'America/Argentina/Catamarca',
            2 => 'America/Argentina/Cordoba',
            3 => 'America/Argentina/Jujuy',
            4 => 'America/Argentina/La_Rioja',
            5 => 'America/Argentina/Mendoza',
            6 => 'America/Argentina/Rio_Gallegos',
            7 => 'America/Argentina/Salta',
            8 => 'America/Argentina/San_Juan',
            9 => 'America/Argentina/San_Luis',
            10 => 'America/Argentina/Tucuman',
            11 => 'America/Argentina/Ushuaia',
        ),
        'am' =>
        array(
            0 => 'Asia/Yerevan',
        ),
        'aw' =>
        array(
            0 => 'America/Aruba',
        ),
        'au' =>
        array(
            0 => 'Australia/Adelaide',
            1 => 'Australia/Brisbane',
            2 => 'Australia/Broken_Hill',
            3 => 'Australia/Currie',
            4 => 'Australia/Darwin',
            5 => 'Australia/Eucla',
            6 => 'Australia/Hobart',
            7 => 'Australia/Lindeman',
            8 => 'Australia/Lord_Howe',
            9 => 'Australia/Melbourne',
            10 => 'Australia/Perth',
            11 => 'Australia/Sydney',
        ),
        'at' =>
        array(
            0 => 'Europe/Vienna',
        ),
        'az' =>
        array(
            0 => 'Asia/Baku',
        ),
        'bs' =>
        array(
            0 => 'America/Nassau',
        ),
        'bh' =>
        array(
            0 => 'Asia/Bahrain',
        ),
        'bd' =>
        array(
            0 => 'Asia/Dhaka',
        ),
        'bb' =>
        array(
            0 => 'America/Barbados',
        ),
        'by' =>
        array(
            0 => 'Europe/Minsk',
        ),
        'be' =>
        array(
            0 => 'Europe/Brussels',
        ),
        'bz' =>
        array(
            0 => 'America/Belize',
        ),
        'bj' =>
        array(
            0 => 'Africa/Porto-Novo',
        ),
        'bm' =>
        array(
            0 => 'Atlantic/Bermuda',
        ),
        'bt' =>
        array(
            0 => 'Asia/Thimphu',
        ),
        'bo' =>
        array(
            0 => 'America/La_Paz',
        ),
        'bq' =>
        array(
            0 => 'America/Kralendijk',
        ),
        'ba' =>
        array(
            0 => 'Europe/Sarajevo',
        ),
        'bw' =>
        array(
            0 => 'Africa/Gaborone',
        ),
        'bv' =>
        array(
        ),
        'br' =>
        array(
            0 => 'America/Araguaina',
            1 => 'America/Bahia',
            2 => 'America/Belem',
            3 => 'America/Boa_Vista',
            4 => 'America/Campo_Grande',
            5 => 'America/Cuiaba',
            6 => 'America/Eirunepe',
            7 => 'America/Fortaleza',
            8 => 'America/Maceio',
            9 => 'America/Manaus',
            10 => 'America/Noronha',
            11 => 'America/Porto_Velho',
            12 => 'America/Recife',
            13 => 'America/Rio_Branco',
            14 => 'America/Santarem',
            15 => 'America/Sao_Paulo',
        ),
        'io' =>
        array(
            0 => 'Indian/Chagos',
        ),
        'bn' =>
        array(
            0 => 'Asia/Brunei',
        ),
        'bg' =>
        array(
            0 => 'Europe/Sofia',
        ),
        'bf' =>
        array(
            0 => 'Africa/Ouagadougou',
        ),
        'mm' =>
        array(
            0 => 'Asia/Rangoon',
        ),
        'bi' =>
        array(
            0 => 'Africa/Bujumbura',
        ),
        'kh' =>
        array(
            0 => 'Asia/Phnom_Penh',
        ),
        'cm' =>
        array(
            0 => 'Africa/Douala',
        ),
        'ca' =>
        array(
            0 => 'America/Atikokan',
            1 => 'America/Blanc-Sablon',
            2 => 'America/Cambridge_Bay',
            3 => 'America/Creston',
            4 => 'America/Dawson',
            5 => 'America/Dawson_Creek',
            6 => 'America/Edmonton',
            7 => 'America/Glace_Bay',
            8 => 'America/Goose_Bay',
            9 => 'America/Halifax',
            10 => 'America/Inuvik',
            11 => 'America/Iqaluit',
            12 => 'America/Moncton',
            13 => 'America/Montreal',
            14 => 'America/Nipigon',
            15 => 'America/Pangnirtung',
            16 => 'America/Rainy_River',
            17 => 'America/Rankin_Inlet',
            18 => 'America/Regina',
            19 => 'America/Resolute',
            20 => 'America/St_Johns',
            21 => 'America/Swift_Current',
            22 => 'America/Thunder_Bay',
            23 => 'America/Toronto',
            24 => 'America/Vancouver',
            25 => 'America/Whitehorse',
            26 => 'America/Winnipeg',
            27 => 'America/Yellowknife',
        ),
        'cv' =>
        array(
            0 => 'Atlantic/Cape_Verde',
        ),
        'ky' =>
        array(
            0 => 'America/Cayman',
        ),
        'cf' =>
        array(
            0 => 'Africa/Bangui',
        ),
        'td' =>
        array(
            0 => 'Africa/Ndjamena',
        ),
        'cl' =>
        array(
            0 => 'America/Santiago',
            1 => 'Pacific/Easter',
        ),
        'cn' =>
        array(
            0 => 'Asia/Chongqing',
            1 => 'Asia/Harbin',
            2 => 'Asia/Kashgar',
            3 => 'Asia/Shanghai',
            4 => 'Asia/Urumqi',
        ),
        'cx' =>
        array(
            0 => 'Indian/Christmas',
        ),
        'cc' =>
        array(
            0 => 'Indian/Cocos',
        ),
        'co' =>
        array(
            0 => 'America/Bogota',
        ),
        'km' =>
        array(
            0 => 'Indian/Comoro',
        ),
        'cg' =>
        array(
            0 => 'Africa/Brazzaville',
        ),
        'ck' =>
        array(
            0 => 'Pacific/Rarotonga',
        ),
        'cr' =>
        array(
            0 => 'America/Costa_Rica',
        ),
        'hr' =>
        array(
            0 => 'Europe/Zagreb',
        ),
        'cu' =>
        array(
            0 => 'America/Havana',
        ),
        'cw' =>
        array(
            0 => 'America/Curacao',
        ),
        'cy' =>
        array(
            0 => 'Asia/Nicosia',
        ),
        'cz' =>
        array(
            0 => 'Europe/Prague',
        ),
        'cd' =>
        array(
            0 => 'Africa/Kinshasa',
            1 => 'Africa/Lubumbashi',
        ),
        'dk' =>
        array(
            0 => 'Europe/Copenhagen',
        ),
        'dj' =>
        array(
            0 => 'Africa/Djibouti',
        ),
        'dm' =>
        array(
            0 => 'America/Dominica',
        ),
        'do' =>
        array(
            0 => 'America/Santo_Domingo',
        ),
        'ec' =>
        array(
            0 => 'America/Guayaquil',
            1 => 'Pacific/Galapagos',
        ),
        'eg' =>
        array(
            0 => 'Africa/Cairo',
        ),
        'sv' =>
        array(
            0 => 'America/El_Salvador',
        ),
        'gq' =>
        array(
            0 => 'Africa/Malabo',
        ),
        'er' =>
        array(
            0 => 'Africa/Asmara',
        ),
        'ee' =>
        array(
            0 => 'Europe/Tallinn',
        ),
        'et' =>
        array(
            0 => 'Africa/Addis_Ababa',
        ),
        'fk' =>
        array(
            0 => 'Atlantic/Stanley',
        ),
        'fo' =>
        array(
            0 => 'Atlantic/Faroe',
        ),
        'fj' =>
        array(
            0 => 'Pacific/Fiji',
        ),
        'fi' =>
        array(
            0 => 'Europe/Helsinki',
        ),
        'fr' =>
        array(
            0 => 'Europe/Paris',
        ),
        'gf' =>
        array(
            0 => 'America/Cayenne',
        ),
        'pf' =>
        array(
            0 => 'Pacific/Gambier',
            1 => 'Pacific/Marquesas',
            2 => 'Pacific/Tahiti',
        ),
        'tf' =>
        array(
            0 => 'Indian/Kerguelen',
        ),
        'ga' =>
        array(
            0 => 'Africa/Libreville',
        ),
        'gm' =>
        array(
            0 => 'Africa/Banjul',
        ),
        'ge' =>
        array(
            0 => 'Asia/Tbilisi',
        ),
        'de' =>
        array(
            0 => 'Europe/Berlin',
        ),
        'gh' =>
        array(
            0 => 'Africa/Accra',
        ),
        'gi' =>
        array(
            0 => 'Europe/Gibraltar',
        ),
        'gr' =>
        array(
            0 => 'Europe/Athens',
        ),
        'gl' =>
        array(
            0 => 'America/Danmarkshavn',
            1 => 'America/Godthab',
            2 => 'America/Scoresbysund',
            3 => 'America/Thule',
        ),
        'gd' =>
        array(
            0 => 'America/Grenada',
        ),
        'gp' =>
        array(
            0 => 'America/Guadeloupe',
        ),
        'gu' =>
        array(
            0 => 'Pacific/Guam',
        ),
        'gt' =>
        array(
            0 => 'America/Guatemala',
        ),
        'gg' =>
        array(
            0 => 'Europe/Guernsey',
        ),
        'gn' =>
        array(
            0 => 'Africa/Conakry',
        ),
        'gw' =>
        array(
            0 => 'Africa/Bissau',
        ),
        'gy' =>
        array(
            0 => 'America/Guyana',
        ),
        'ht' =>
        array(
            0 => 'America/Port-au-Prince',
        ),
        'hm' =>
        array(
        ),
        'hn' =>
        array(
            0 => 'America/Tegucigalpa',
        ),
        'hk' =>
        array(
            0 => 'Asia/Hong_Kong',
        ),
        'hu' =>
        array(
            0 => 'Europe/Budapest',
        ),
        'is' =>
        array(
            0 => 'Atlantic/Reykjavik',
        ),
        'in' =>
        array(
            0 => 'Asia/Kolkata',
        ),
        'id' =>
        array(
            0 => 'Asia/Jakarta',
            1 => 'Asia/Jayapura',
            2 => 'Asia/Makassar',
            3 => 'Asia/Pontianak',
        ),
        'ir' =>
        array(
            0 => 'Asia/Tehran',
        ),
        'iq' =>
        array(
            0 => 'Asia/Baghdad',
        ),
        'ie' =>
        array(
            0 => 'Europe/Dublin',
        ),
        'im' =>
        array(
            0 => 'Europe/Isle_of_Man',
        ),
        'il' =>
        array(
            0 => 'Asia/Jerusalem',
        ),
        'it' =>
        array(
            0 => 'Europe/Rome',
        ),
        'ci' =>
        array(
            0 => 'Africa/Abidjan',
        ),
        'jm' =>
        array(
            0 => 'America/Jamaica',
        ),
        'jp' =>
        array(
            0 => 'Asia/Tokyo',
        ),
        'je' =>
        array(
            0 => 'Europe/Jersey',
        ),
        'jo' =>
        array(
            0 => 'Asia/Amman',
        ),
        'kz' =>
        array(
            0 => 'Asia/Almaty',
            1 => 'Asia/Aqtau',
            2 => 'Asia/Aqtobe',
            3 => 'Asia/Oral',
            4 => 'Asia/Qyzylorda',
        ),
        'ke' =>
        array(
            0 => 'Africa/Nairobi',
        ),
        'ki' =>
        array(
            0 => 'Pacific/Enderbury',
            1 => 'Pacific/Kiritimati',
            2 => 'Pacific/Tarawa',
        ),
        'kp' =>
        array(
            0 => 'Asia/Pyongyang',
        ),
        'kr' =>
        array(
            0 => 'Asia/Seoul',
        ),
        'kw' =>
        array(
            0 => 'Asia/Kuwait',
        ),
        'kg' =>
        array(
            0 => 'Asia/Bishkek',
        ),
        'la' =>
        array(
            0 => 'Asia/Vientiane',
        ),
        'lv' =>
        array(
            0 => 'Europe/Riga',
        ),
        'lb' =>
        array(
            0 => 'Asia/Beirut',
        ),
        'ls' =>
        array(
            0 => 'Africa/Maseru',
        ),
        'lr' =>
        array(
            0 => 'Africa/Monrovia',
        ),
        'ly' =>
        array(
            0 => 'Africa/Tripoli',
        ),
        'li' =>
        array(
            0 => 'Europe/Vaduz',
        ),
        'lt' =>
        array(
            0 => 'Europe/Vilnius',
        ),
        'lu' =>
        array(
            0 => 'Europe/Luxembourg',
        ),
        'mo' =>
        array(
            0 => 'Asia/Macau',
        ),
        'mk' =>
        array(
            0 => 'Europe/Skopje',
        ),
        'mg' =>
        array(
            0 => 'Indian/Antananarivo',
        ),
        'mw' =>
        array(
            0 => 'Africa/Blantyre',
        ),
        'my' =>
        array(
            0 => 'Asia/Kuala_Lumpur',
            1 => 'Asia/Kuching',
        ),
        'mv' =>
        array(
            0 => 'Indian/Maldives',
        ),
        'ml' =>
        array(
            0 => 'Africa/Bamako',
        ),
        'mt' =>
        array(
            0 => 'Europe/Malta',
        ),
        'mh' =>
        array(
            0 => 'Pacific/Kwajalein',
            1 => 'Pacific/Majuro',
        ),
        'mq' =>
        array(
            0 => 'America/Martinique',
        ),
        'mr' =>
        array(
            0 => 'Africa/Nouakchott',
        ),
        'mu' =>
        array(
            0 => 'Indian/Mauritius',
        ),
        'yt' =>
        array(
            0 => 'Indian/Mayotte',
        ),
        'mx' =>
        array(
            0 => 'America/Bahia_Banderas',
            1 => 'America/Cancun',
            2 => 'America/Chihuahua',
            3 => 'America/Hermosillo',
            4 => 'America/Matamoros',
            5 => 'America/Mazatlan',
            6 => 'America/Merida',
            7 => 'America/Mexico_City',
            8 => 'America/Monterrey',
            9 => 'America/Ojinaga',
            10 => 'America/Santa_Isabel',
            11 => 'America/Tijuana',
        ),
        'fm' =>
        array(
            0 => 'Pacific/Chuuk',
            1 => 'Pacific/Kosrae',
            2 => 'Pacific/Pohnpei',
        ),
        'md' =>
        array(
            0 => 'Europe/Chisinau',
        ),
        'mc' =>
        array(
            0 => 'Europe/Monaco',
        ),
        'mn' =>
        array(
            0 => 'Asia/Choibalsan',
            1 => 'Asia/Hovd',
            2 => 'Asia/Ulaanbaatar',
        ),
        'me' =>
        array(
            0 => 'Europe/Podgorica',
        ),
        'ms' =>
        array(
            0 => 'America/Montserrat',
        ),
        'ma' =>
        array(
            0 => 'Africa/Casablanca',
        ),
        'mz' =>
        array(
            0 => 'Africa/Maputo',
        ),
        'na' =>
        array(
            0 => 'Africa/Windhoek',
        ),
        'nr' =>
        array(
            0 => 'Pacific/Nauru',
        ),
        'np' =>
        array(
            0 => 'Asia/Kathmandu',
        ),
        'nl' =>
        array(
            0 => 'Europe/Amsterdam',
        ),
        'nc' =>
        array(
            0 => 'Pacific/Noumea',
        ),
        'nz' =>
        array(
            0 => 'Pacific/Auckland',
            1 => 'Pacific/Chatham',
        ),
        'ni' =>
        array(
            0 => 'America/Managua',
        ),
        'ne' =>
        array(
            0 => 'Africa/Niamey',
        ),
        'ng' =>
        array(
            0 => 'Africa/Lagos',
        ),
        'nu' =>
        array(
            0 => 'Pacific/Niue',
        ),
        'nf' =>
        array(
            0 => 'Pacific/Norfolk',
        ),
        'mp' =>
        array(
            0 => 'Pacific/Saipan',
        ),
        'no' =>
        array(
            0 => 'Europe/Oslo',
        ),
        'om' =>
        array(
            0 => 'Asia/Muscat',
        ),
        'pk' =>
        array(
            0 => 'Asia/Karachi',
        ),
        'ps' =>
        array(
            0 => 'Asia/Gaza',
            1 => 'Asia/Hebron',
        ),
        'pw' =>
        array(
            0 => 'Pacific/Palau',
        ),
        'pa' =>
        array(
            0 => 'America/Panama',
        ),
        'pg' =>
        array(
            0 => 'Pacific/Port_Moresby',
        ),
        'py' =>
        array(
            0 => 'America/Asuncion',
        ),
        'pe' =>
        array(
            0 => 'America/Lima',
        ),
        'ph' =>
        array(
            0 => 'Asia/Manila',
        ),
        'pn' =>
        array(
            0 => 'Pacific/Pitcairn',
        ),
        'pl' =>
        array(
            0 => 'Europe/Warsaw',
        ),
        'pt' =>
        array(
            0 => 'Atlantic/Azores',
            1 => 'Atlantic/Madeira',
            2 => 'Europe/Lisbon',
        ),
        '01' =>
        array(
        ),
        'pr' =>
        array(
            0 => 'America/Puerto_Rico',
        ),
        'qa' =>
        array(
            0 => 'Asia/Qatar',
        ),
        're' =>
        array(
            0 => 'Indian/Reunion',
        ),
        'rs' =>
        array(
            0 => 'Europe/Belgrade',
        ),
        'ro' =>
        array(
            0 => 'Europe/Bucharest',
        ),
        'ru' =>
        array(
            0 => 'Asia/Anadyr',
            1 => 'Asia/Irkutsk',
            2 => 'Asia/Kamchatka',
            3 => 'Asia/Krasnoyarsk',
            4 => 'Asia/Magadan',
            5 => 'Asia/Novokuznetsk',
            6 => 'Asia/Novosibirsk',
            7 => 'Asia/Omsk',
            8 => 'Asia/Sakhalin',
            9 => 'Asia/Vladivostok',
            10 => 'Asia/Yakutsk',
            11 => 'Asia/Yekaterinburg',
            12 => 'Europe/Kaliningrad',
            13 => 'Europe/Moscow',
            14 => 'Europe/Samara',
            15 => 'Europe/Volgograd',
        ),
        'rw' =>
        array(
            0 => 'Africa/Kigali',
        ),
        'bl' =>
        array(
            0 => 'America/St_Barthelemy',
        ),
        'gs' =>
        array(
            0 => 'Atlantic/South_Georgia',
        ),
        'kn' =>
        array(
            0 => 'America/St_Kitts',
        ),
        'lc' =>
        array(
            0 => 'America/St_Lucia',
        ),
        'mf' =>
        array(
            0 => 'America/Marigot',
        ),
        'vc' =>
        array(
            0 => 'America/St_Vincent',
        ),
        'ws' =>
        array(
            0 => 'Pacific/Apia',
        ),
        'sm' =>
        array(
            0 => 'Europe/San_Marino',
        ),
        'st' =>
        array(
            0 => 'Africa/Sao_Tome',
        ),
        'sa' =>
        array(
            0 => 'Asia/Riyadh',
        ),
        'sn' =>
        array(
            0 => 'Africa/Dakar',
        ),
        'sc' =>
        array(
            0 => 'Indian/Mahe',
        ),
        'sl' =>
        array(
            0 => 'Africa/Freetown',
        ),
        'sg' =>
        array(
            0 => 'Asia/Singapore',
        ),
        'sx' =>
        array(
            0 => 'America/Lower_Princes',
        ),
        'sk' =>
        array(
            0 => 'Europe/Bratislava',
        ),
        'si' =>
        array(
            0 => 'Europe/Ljubljana',
        ),
        'sb' =>
        array(
            0 => 'Pacific/Guadalcanal',
        ),
        'so' =>
        array(
            0 => 'Africa/Mogadishu',
        ),
        'za' =>
        array(
            0 => 'Africa/Johannesburg',
        ),
        'ss' =>
        array(
            0 => 'Africa/Juba',
        ),
        'es' =>
        array(
            0 => 'Africa/Ceuta',
            1 => 'Atlantic/Canary',
            2 => 'Europe/Madrid',
        ),
        'lk' =>
        array(
            0 => 'Asia/Colombo',
        ),
        'sh' =>
        array(
            0 => 'Atlantic/St_Helena',
        ),
        'pm' =>
        array(
            0 => 'America/Miquelon',
        ),
        'sd' =>
        array(
            0 => 'Africa/Khartoum',
        ),
        'sr' =>
        array(
            0 => 'America/Paramaribo',
        ),
        'sj' =>
        array(
            0 => 'Arctic/Longyearbyen',
        ),
        'sz' =>
        array(
            0 => 'Africa/Mbabane',
        ),
        'se' =>
        array(
            0 => 'Europe/Stockholm',
        ),
        'ch' =>
        array(
            0 => 'Europe/Zurich',
        ),
        'sy' =>
        array(
            0 => 'Asia/Damascus',
        ),
        'tw' =>
        array(
            0 => 'Asia/Taipei',
        ),
        'tj' =>
        array(
            0 => 'Asia/Dushanbe',
        ),
        'tz' =>
        array(
            0 => 'Africa/Dar_es_Salaam',
        ),
        'th' =>
        array(
            0 => 'Asia/Bangkok',
        ),
        'tl' =>
        array(
            0 => 'Asia/Dili',
        ),
        'tg' =>
        array(
            0 => 'Africa/Lome',
        ),
        'tk' =>
        array(
            0 => 'Pacific/Fakaofo',
        ),
        'to' =>
        array(
            0 => 'Pacific/Tongatapu',
        ),
        'tt' =>
        array(
            0 => 'America/Port_of_Spain',
        ),
        'tn' =>
        array(
            0 => 'Africa/Tunis',
        ),
        'tr' =>
        array(
            0 => 'Europe/Istanbul',
        ),
        'tm' =>
        array(
            0 => 'Asia/Ashgabat',
        ),
        'tc' =>
        array(
            0 => 'America/Grand_Turk',
        ),
        'tv' =>
        array(
            0 => 'Pacific/Funafuti',
        ),
        'ug' =>
        array(
            0 => 'Africa/Kampala',
        ),
        'ua' =>
        array(
            0 => 'Europe/Kiev',
            1 => 'Europe/Simferopol',
            2 => 'Europe/Uzhgorod',
            3 => 'Europe/Zaporozhye',
        ),
        'ae' =>
        array(
            0 => 'Asia/Dubai',
        ),
        'gb' =>
        array(
            0 => 'Europe/London',
        ),
        'us' =>
        array(
            0 => 'America/Adak',
            1 => 'America/Anchorage',
            2 => 'America/Boise',
            3 => 'America/Chicago',
            4 => 'America/Denver',
            5 => 'America/Detroit',
            6 => 'America/Indiana/Indianapolis',
            7 => 'America/Indiana/Knox',
            8 => 'America/Indiana/Marengo',
            9 => 'America/Indiana/Petersburg',
            10 => 'America/Indiana/Tell_City',
            11 => 'America/Indiana/Vevay',
            12 => 'America/Indiana/Vincennes',
            13 => 'America/Indiana/Winamac',
            14 => 'America/Juneau',
            15 => 'America/Kentucky/Louisville',
            16 => 'America/Kentucky/Monticello',
            17 => 'America/Los_Angeles',
            18 => 'America/Menominee',
            19 => 'America/Metlakatla',
            20 => 'America/New_York',
            21 => 'America/Nome',
            22 => 'America/North_Dakota/Beulah',
            23 => 'America/North_Dakota/Center',
            24 => 'America/North_Dakota/New_Salem',
            25 => 'America/Phoenix',
            26 => 'America/Shiprock',
            27 => 'America/Sitka',
            28 => 'America/Yakutat',
            29 => 'Pacific/Honolulu',
        ),
        'um' =>
        array(
            0 => 'Pacific/Johnston',
            1 => 'Pacific/Midway',
            2 => 'Pacific/Wake',
        ),
        'uy' =>
        array(
            0 => 'America/Montevideo',
        ),
        'uz' =>
        array(
            0 => 'Asia/Samarkand',
            1 => 'Asia/Tashkent',
        ),
        'vu' =>
        array(
            0 => 'Pacific/Efate',
        ),
        'va' =>
        array(
            0 => 'Europe/Vatican',
        ),
        've' =>
        array(
            0 => 'America/Caracas',
        ),
        'vn' =>
        array(
            0 => 'Asia/Ho_Chi_Minh',
        ),
        'vg' =>
        array(
            0 => 'America/Tortola',
        ),
        'vi' =>
        array(
            0 => 'America/St_Thomas',
        ),
        'wf' =>
        array(
            0 => 'Pacific/Wallis',
        ),
        'eh' =>
        array(
            0 => 'Africa/El_Aaiun',
        ),
        'ye' =>
        array(
            0 => 'Asia/Aden',
        ),
        'zm' =>
        array(
            0 => 'Africa/Lusaka',
        ),
        'zw' =>
        array(
            0 => 'Africa/Harare',
        ),
    )
);

// EOF
