<?php
/**
 * This source file is part of the open source project
 * ExpressionEngine (https://expressionengine.com)
 *
 * @link      https://expressionengine.com/
 * @copyright Copyright (c) 2003-2023, Packet Tide, LLC (https://www.packettide.com)
 * @license   https://expressionengine.com/license Licensed under Apache License, Version 2.0
 */

/**
 * Language Codes
 */
// $languages =
return array(
    'Afar' => 'aa',
    'Abkhazian' => 'ab',
    'Afrikaans' => 'af',
    'Albanian' => 'sq',
    'Amharic' => 'am',
    'Arabic' => 'ar',
    'Armenian' => 'hy',
    'Assamese' => 'as',
    'Aymara' => 'ay',
    'Azerbaijani' => 'az',
    'Bashkir' => 'ba',
    'Byelorussian' => 'be',
    'Bulgarian' => 'bg',
    'Bihari' => 'bh',
    'Bislama' => 'bi',
    'Bengali/Bangla' => 'bn',
    'Bhutani' => 'dz',
    'Burmese' => 'my',
    'Breton' => 'br',
    'Cambodian' => 'km',
    'Catalan' => 'ca',
    'Corsican' => 'co',
    'Croatian' => 'hr',
    'Czech' => 'cs',
    'Danish' => 'da',
    'Dutch' => 'nl',
    'English' => 'en',
    'Esperanto' => 'eo',
    'Estonian' => 'et',
    'Basque' => 'eu',
    'Farsi' => 'fa',
    'Finnish' => 'fi',
    'Fiji' => 'fj',
    'Faroese' => 'fo',
    'French' => 'fr',
    'Frisian' => 'fy',
    'Gaelic' => 'gd',
    'Galician' => 'gl',
    'German' => 'de',
    'Greek' => 'el',
    'Greenlandic' => 'kl',
    'Guarani' => 'gn',
    'Gujarati' => 'gu',
    'Hausa' => 'ha',
    'Hebrew' => 'he',
    'Hindi' => 'hi',
    'Hungarian' => 'hu',
    'Irish' => 'ga',
    'Interlingua' => 'ia',
    'Interlingue' => 'ie',
    'Inupiak' => 'ik',
    'Indonesian' => 'id',
    'Icelandic' => 'is',
    'Italian' => 'it',
    'Inuktitut' => 'iu',
    'Japanese' => 'ja',
    'Javanese' => 'jv',
    'Kazakh' => 'kk',
    'Kannada' => 'kn',
    'Korean' => 'ko',
    'Kashmiri' => 'ks',
    'Kurundi' => 'rn',
    'Kinyarwanda' => 'rw',
    'Kurdish' => 'ku',
    'Kirghiz' => 'ky',
    'Latin' => 'la',
    'Lingala' => 'ln',
    'Laothian' => 'lo',
    'Lithuanian' => 'lt',
    'Latvian;Lettish' => 'lv',
    'Malagasy' => 'mg',
    'Maori' => 'mi',
    'Macedonian' => 'mk',
    'Malayalam' => 'ml',
    'Mongolian' => 'mn',
    'Moldavian' => 'mo',
    'Marathi' => 'mr',
    'Malay' => 'ms',
    'Maltese' => 'mt',
    'Nauru' => 'na',
    'Nepali' => 'ne',
    'Norwegian' => 'no',
    'Occitan' => 'oc',
    'Afan (Oromo)' => 'om',
    'Oriya' => 'or',
    'Punjabi' => 'pa',
    'Polish' => 'pl',
    'Pashto/Pushto' => 'ps',
    'Portuguese' => 'pt',
    'Quechua' => 'qu',
    'Rhaeto-Romance' => 'rm',
    'Romanian' => 'ro',
    'Russian' => 'ru',
    'Sanskrit' => 'sa',
    'Sindhi' => 'sd',
    'Sangho' => 'sg',
    'Serbo-Croatian' => 'sh',
    'Singhalese' => 'si',
    'Slovak' => 'sk',
    'Slovenian' => 'sl',
    'Samoan' => 'sm',
    'Shona' => 'sn',
    'Serbian' => 'sr',
    'Siswati' => 'ss',
    'Sesotho' => 'st',
    'Somali' => 'so',
    'Spanish' => 'es',
    'Sundanese' => 'su',
    'Swedish' => 'sv',
    'Swahili' => 'sw',
    'Tamil' => 'ta',
    'Telugu' => 'te',
    'Tajik' => 'tg',
    'Thai' => 'th',
    'Tibetan' => 'bo',
    'Tigrinya' => 'ti',
    'Turkmen' => 'tk',
    'Tagalog' => 'tl',
    'Setswana' => 'tn',
    'Tonga' => 'to',
    'Turkish' => 'tr',
    'Tsonga' => 'ts',
    'Tatar' => 'tt',
    'Twi' => 'tw',
    'Uigur' => 'ug',
    'Ukrainian' => 'uk',
    'Urdu' => 'ur',
    'Uzbek' => 'uz',
    'Vietnamese' => 'vi',
    'Volapuk' => 'vo',
    'Welsh' => 'cy',
    'Wolof' => 'wo',
    'Xhosa' => 'xh',
    'Yiddish' => 'yi',
    'Yoruba' => 'yo',
    'Zhuang' => 'za',
    'Chinese' => 'zh',
    'Zulu' => 'zu'
);

// EOF
